#include <stdio.h>
#include <limits.h>

int main(void)
{
  printf("short:\n");
  {
    short i;

    i = SHRT_MAX;	i++;	printf("\tMAX+1: %hd\n", i);
    i = SHRT_MIN;	i--;	printf("\tMIN-1: %hd\n", i);
  }
  printf("unsigned short:\n");
  {
    unsigned short i;

    i = USHRT_MAX;	i++;	printf("\tMAX+1: %hu\n", i);
    i = 0;		i--;	printf("\tMIN-1: %hu\n", i);
  }

  printf("int:\n");
  {
    int i;

    i = INT_MAX;	i++;	printf("\tMAX+1: %d\n", i);
    i = INT_MIN;	i--;	printf("\tMIN-1: %d\n", i);
  }
  printf("unsigned int:\n");
  {
    unsigned int i;

    i = UINT_MAX;	i++;	printf("\tMAX+1: %u\n", i);
    i = 0;		i--;	printf("\tMIN-1: %u\n", i);
  }

  printf("long:\n");
  {
    long i;

    i = LONG_MAX;	i++;	printf("\tMAX+1: %ld\n", i);
    i = LONG_MIN;	i--;	printf("\tMIN-1: %ld\n", i);
  }
  printf("unsigned long:\n");
  {
    unsigned long i;

    i = ULONG_MAX;	i++;	printf("\tMAX+1: %lu\n", i);
    i = 0;		i--;	printf("\tMIN-1: %lu\n", i);
  }

  printf("long long:\n");
  {
    long long i;

    i = LLONG_MAX;	i++;	printf("\tMAX+1: %lld\n", i);
    i = LLONG_MIN;	i--;	printf("\tMIN-1: %lld\n", i);
  }
  printf("unsigned long long:\n");
  {
    unsigned long long i;

    i = ULLONG_MAX;	i++;	printf("\tMAX+1: %llu\n", i);
    i = 0;		i--;	printf("\tMIN-1: %llu\n", i);
  }

  printf("unsigned size_t:\n");
  {
    size_t i;

    i = SIZE_T_MAX;	i++;	printf("\tMAX+1: %zu\n", i);
    i = 0;		i--;	printf("\tMIN-1: %zu\n", i);
  }
  return 0;
}
